# Interface GeometryBuilderRenderControl

Provides control over rendering. Used by the IfcGeometryBuilder to pause rendering while building geometry, and to render a single frame when needed.

interface GeometryBuilderRenderControl {
isPaused: boolean;
render(): void;
}

##### Index

### Properties

isPaused

### Methods

render

## Properties

### isPaused

isPaused: boolean

Gets or sets whether rendering is paused. This includes disabling all user interactions.

## Methods

### render

- render(): void

  Renders a single frame even if rendering is paused.

  #### Returns void